.news-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: center;
    text-align: center;
    padding: 5% 5% 2%;
    background-color: #ffffff;
    flex-wrap: wrap;
    margin-bottom: 5%;
    margin-top: 2%;
}

.news-section {
    display: flex;
    flex-direction: column;
    align-items: center;
    text-align: center;
}

.news-title-container {
    display: flex;
    flex-direction: row;
    align-items: center;
    justify-content: center;
}

.title {
    font-family: var(--poppins);
    font-size: 35px;
    font-weight: 500;
    color: #6e5095;
    margin: 0;
    margin-top: 20px;
    line-height: 4rem;
    margin-bottom: 20px;
}

.news-cards {
    display: flex;
    justify-content: space-between;
    gap: 20px;
    padding: 3%;
    width: 100%;
    max-width: 1200px;
    text-align: left;
    padding-bottom: 5%;
}

.news-card {
    background-color: rgba(255, 255, 255, 0.5); 
    overflow: hidden;
    width: 30%; 
    position: relative;
}

.news-thumbnail {
    width: 100%;
    padding-top: 100%;
    background-size: cover;
    background-position: center;
    background-repeat: no-repeat;
    margin-bottom: 5%;
    transition: var(--transition);
}

.news-card a:hover .news-thumbnail {opacity: var(--imageopacity);}

.news-card img {
    width: 100%;
    height: auto;
    border: none;
    border-radius: 0px;
    max-height: 300px;
}

.card-info {
    display: flex;
    flex-direction: row;
    align-items: center; 
    background-color: rgba(255, 255, 255, 0.8); 
    margin-top: 2%;
}

.category-wrapper {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 90px;
    height: 25px;
    margin-top: 5px;
    margin-bottom: 5px;
    border-radius: 50px;
    position: relative;
    font-family: var(--nunitosans);
}

.category-text {
    font-family: var(--nunitosans);
    font-size: 9px;
    color: #ffffff;
    z-index: 1; 
    text-transform: uppercase;
    letter-spacing: 2px;
}

.location {
    font-family: var(--nunitosans);
    margin-left: 10px;
    font-size: 13px;
    color: #414042;
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 15px;
}

.location::before {
    content: "";
    background-image: url('images/pin.png');
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%); 
    width: 16px; 
    height: 16px; 
}

.news-content {
    padding-bottom: 50px;
    overflow: hidden; 
    margin-top: 2px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    line-clamp: 5;
}

.news-title {
    font-family: var(--poppins);
    font-size: 22px;
    color: #6e5095;
    font-weight: 500;
    margin: 0; 
    padding: 0;
    line-height: 1.2em;
    text-align: left;
}

.news-title a {color: #6e5095;}
.news-title a:hover {color: var(--lightpurple)}

.news-subtitle {
    font-family: var(--nunitosans);
    font-size: 17px;
    color: #6e5095;
    margin: 0; 
    padding: 0;
    line-height: 1.9rem;
    text-align: left;
}

.read-news {
    display: flex;
    align-items: center;
    font-size: 9px;
    font-family: var(--nunitosans);
    font-weight: bold;
    color: #58595b;
    text-decoration: none;
    position: relative;
    cursor: pointer;
    padding-bottom: 2%;
    left: 5px;
    letter-spacing: 3px;
    height: 20px;
    position: absolute;
    left: 0;
    bottom: 0;
}

.read-news .link-icon {
    font-size: 12px;
    margin-left: 8px; 
    color: #58595b; 
    transition: color 0.3s;
}

.read-news:hover .link-icon {
    color: #9d9fa2; 
}

.read-news::after {
    content: "";
    display: block;
    width: 110px;
    height: 1.5px;
    background-color: #58595b; 
    position: absolute;
    bottom: -4px;
    top: 15px; 
    left: 0;
    transition: background-color 0.3s, width 0.3s;
}

.read-news:hover::after {
    background-color: #9d9fa2;
    width: 120px;
}

.view-all-button-news {
    background-color: #6e5095; 
    color: #ffff;
    font-family: var(--nunitosans);
    font-size: 12px;
    font-weight: 400; 
    padding: 10px 30px; 
    border: none;
    cursor: pointer;
    transition: background-color 0.3s ease;
    letter-spacing: 2px;
    text-decoration: none;
}

.view-all-button-news:hover {
    background-color: #6e5095; 
    color: #ffffff;
}

.content-news{
    background-color: #eeecf6;
    padding-top: 40px;
    padding-bottom: 100px;
}

.container-news-page {
    width: 80%;
    margin: 0 auto;
    margin-top: 70px;
}

.article-header {
    display: flex;
    align-items: center;
    padding-bottom: 30px;
}

.separator-news-page {
    flex-grow: 1;
    height: 2px;
    background-color: #6e5095;
}

.article-title {
    font-family: var(--poppins);
    color: #6e5095;
    font-size: 39px;
    font-weight: 500;
    width: 475px;
    line-height: 1.1;
}

.news-cards-page {
    display: grid;
    grid-template-columns: repeat(2, 1fr);
    row-gap: 40px;
    column-gap: 4%;
    margin-top: 20px;
}

.news-card-page {
    background-color: #fff;
    overflow: hidden;
    padding: 5% 30px;
    position: relative;
}

.news-card-page-image {
    width: 100%;
    height: auto;
    border-radius: 0px;
    max-height: 400px;
    object-fit: cover; 
}

.news-content-page {
    overflow: hidden; 
    margin-top: 5px;
    display: -webkit-box;
    -webkit-box-orient: vertical;
    -webkit-line-clamp: 5;
    line-clamp: 5;
    padding-bottom: 80px;
}

.news-title-page {
    font-family: var(--poppins);
    font-size: 27px;
    color: #6e5095;
    font-weight: 500;
    margin: 0; 
    padding: 0;
    line-height: 1.1;
    text-align: left;
    transition: var(--transition);
}

.news-content-page a:hover .news-title-page {color: var(--lightpurple)}

.card-info-page {
    flex-grow: 1;
    display: flex;
    flex-direction: column;
    justify-content: space-between;
    margin-top: 10px;
}

.location-news-page {
    font-family: var(--nunitosans);
    font-size: 15px;
    color: #6d6e71;
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 15px;
    letter-spacing: 0.5px;
}

.location-news-page::before {
    content: "";
    background-image: url('images/pin.png');
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%); 
    width: 16px; 
    height: 16px; 
}

.read-news-page {
    display: inline-flex;
    align-items: center;
    font-size: 10px;
    font-family: var(--nunitosans);
    font-weight: 600;
    color: #58595b;
    text-decoration: none;
    position: absolute;
    cursor: pointer;
    padding-right: 24px;
    left: 30px;
    bottom: 40px;
    width: 140px;
    letter-spacing: 2px;
    text-decoration: none;
    padding-bottom: 5px;
    margin-bottom: 20px;
}

.read-news-page .link-icon {
    font-size: 10px;
    margin-left: 8px; 
    color: #58595b; 
    transition: color 0.3s;
    text-decoration: inherit;
}

.read-news-page::after {
    content: "";
    display: block;
    width: 120px;
    height: 1.5px;
    background-color: #58595b; 
    position: absolute;
    bottom: -4px;
    top: 15px; 
    left: 0;
    transition: background-color 0.3s, width 0.3s;
}


.read-news-page:hover .link-icon {
    color: #9d9fa2; 
}


.read-news-page:hover::after {
    background-color: #9d9fa2;
    width: 130px;
}

.detail-article-container {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 100%;
    background: linear-gradient(to bottom, #6e5095 0%, #6e5095 450px, #eeecf6 450px, #eeecf6 100%);
}

.detail-info-article {
    display: flex;
    align-items: center;
    justify-content: center;
    gap: 20px;
    padding-top: 5%;
}

.divider-detail-info-article {
    width: 2px;
    height: 30px;
    background-color: #b3a5ca;
}

.category-wrapper-detail {
    display: flex;
    align-items: center;
    justify-content: center;
    width: 120px;
    height: 40px;
    margin-top: 5px;
    margin-bottom: 10px;
    border-radius: 50px;
    position: relative;
    font-family: var(--nunitosans);
}

.category-text-detail {
    font-family: var(--nunitosans);
    font-size: 14px;
    color: #ffffff;
    z-index: 1; 
    text-transform: uppercase;
    letter-spacing: 2px;
}

.location-news-page-detail {
    font-family: var(--nunitosans);
    font-size: 18px;
    color: #ffffff;
    display: flex;
    align-items: center;
    position: relative;
    padding-left: 15px;
}

.location-news-page-detail::before {
    content: "";
    background-image: url('images/pin.png');
    background-size: contain;
    background-repeat: no-repeat;
    position: absolute;
    left: 0;
    top: 50%;
    transform: translateY(-50%); 
    width: 16px; 
    height: 16px; 
}

.article-title-detail-page {
    font-family: var(--poppins);
    font-size: 45px; 
    width: 70%;
    font-weight: 300;
    color: #ffffff;
    margin-top: 20px;
    text-align: center;
    padding-bottom: 50px;
    line-height: 1.1;
}

.cards-detail-page {
    width: 80%;
    display: flex;
    justify-content: center;
    margin-top: 20px;
    margin-bottom: 100px;
}

.card-detail-page {
    width: 100%;
    background-color: #ffff;
    overflow: hidden;
    display: flex;
    flex-direction: column;
    justify-content: center;
    align-items: center; 
    padding: 10% 100px;
}

.card-detail-page img {
    width: 100%;  
    max-width: 100%; 
    height: auto;  
    max-height: 600px; 
    border-radius: 0px;
    border: none;
    object-fit: cover; 
    margin-bottom: 40px;
}

.article-content-detail {
    font-family: var(--nunitosans);
    font-size: 17px;
    line-height: 1.2;
    letter-spacing: 1px;
    width: 100%;
    background-color: #ffffff;
    color: #6d6e71;
    border-radius: 8px;
}

.article-pagination {
    display: flex;
    justify-content: space-between;
    margin-top: 20px;
    margin-bottom: 100px;
    gap: 80px;
}

.article-pagination .btn {
    display: flex;
    align-items: center;
    padding: 10px 20px;
    border-radius: 5px;
    text-decoration: none;
    position: relative;
    opacity: 1;
    cursor: pointer;
}

.article-pagination .divider-article-pagination {
    width: 2px;
    height: 60px;
    background-color: #836ba6;
    margin: 0 20px; 
}


.article-pagination .btn img {
    width: 50px;
    height: 50px;
    margin-right: 10px;
}

.article-pagination .btn-prev img {
    margin-right: 10px;
}

.article-pagination .btn-next img {
    margin-left: 10px;
}

.article-pagination .btn.disabled {
    opacity: 0.5;
    pointer-events: none;
}

.article-pagination .btn.disabled img {
    filter: grayscale(100%);
}

.article-pagination .btn:focus {
    outline: none;
}

@media screen and (max-width: 1024px) {
	.news-title {font-size: 21px;}
    .news-container {padding-left: 2%; padding-right: 2%;}
    .article-title {font-size: 37px; width: 450px;}
    .news-title-page {font-size: 25px;}
    .article-title-detail-page {font-size: 43px;}
    .cards-detail-page {width: 90%;}
    .card-detail-page {padding-left: 5%; padding-right: 5%;}
}

@media screen and (max-width: 900px) {
	.news-title {font-size: 20px;}
    .article-title {font-size: 35px; width: 430px;}
    .news-title-page {font-size: 23px;}
    .article-title-detail-page {font-size: 41px;}
}

@media screen and (max-width: 800px) {
	.news-title {font-size: 19px;}
    .article-title {font-size: 33px; width: 410px;}
    .container-news-page {width: 90%;}
    .news-title-page {font-size: 22px;}
    .article-title-detail-page {font-size: 39px;}
}

@media screen and (max-width: 750px) {
    .news-title {font-size: 18px;}
    .news-title-page {font-size: 21px;}
    .article-title-detail-page {font-size: 37px;}
}

@media screen and (max-width: 700px) {
	.news-title {font-size: 17px;}
    .article-title {font-size: 31px; width: 390px;}
    .news-title-page {font-size: 20px;}
    .article-title-detail-page {font-size: 36px;}
}

@media screen and (max-width: 600px) {
    .news-container {padding-left: 10%; padding-right: 10%;}
	.news-title {font-size: 22px;}
    .news-cards {flex-direction: column; margin-bottom: 30px; row-gap: 50px;}
    .news-card {width: 100%; padding-bottom: 30px;}
    .news-content {padding-bottom: 45px;}
    .news-cards-page {grid-template-columns: auto;}
    .news-title-page {font-size: 27px;}
    .article-title-detail-page {font-size: 34px;}
    .article-pagination {gap: 40px;}
    .category-wrapper-detail {margin-top: 0; margin-bottom: 0;}
    .detail-info-article {gap: 0; flex-direction: column;}
}

@media screen and (max-width: 550px) {
	.news-title {font-size: 21px;}
    .news-content {padding-bottom: 40px;}
    .news-title-page {font-size: 25px;}
    .article-title-detail-page {font-size: 33px;}
}

@media screen and (max-width: 500px) {
	.news-title {font-size: 20px;}
    .news-content {padding-bottom: 35px;}
    .news-title-page {font-size: 23px;}
    .article-title-detail-page {font-size: 32px;}
    .article-pagination {gap: 30px;}
}

@media screen and (max-width: 450px) {
	.news-title {font-size: 19px;}
    .news-content {padding-bottom: 30px;}
    .news-title-page {font-size: 22px;}
    .article-title-detail-page {font-size: 31px;}
}

@media screen and (max-width: 400px) {
	.news-title {font-size: 18px;}
    .news-content {padding-bottom: 25px;}
    .news-title-page {font-size: 21px;}
    .article-title-detail-page {font-size: 30px;}
}

@media screen and (max-width: 350px) {
	.news-title {font-size: 17px;}
    .news-content {padding-bottom: 20px;}
    .news-title-page {font-size: 20px;}
}